pydo.databases.delete_opensearch_index()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.databases.delete_opensearch_index(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
index_name="logs-*",
)Description
To delete a single index within OpenSearch cluster, send a DELETE request
to /v2/databases/{database_cluster_uuid}/indexes/{index_name}.
A status of 204 will be given. This indicates that the request was processed successfully, but that no response body is needed.
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
index_namestring requiredThe name of the OpenSearch index.
More Information
See /v2/databases/{database_cluster_uuid}/indexes/{index_name} in the API reference for additional detail on responses, headers, parameters, and more.